Generation Framework

## org.eclipse.gmf.mappings.presentation
Class FilterUtil

    java.lang.Object
      org.eclipse.gmf.mappings.presentation.FilterUtil

public class FilterUtil
extends java.lang.Object

Constructor Summary
`FilterUtil()`

Method Summary
`static java.util.List` `filterByContainerMetaclass(java.util.Collection eAttributes, LabelMapping labelMapping)`
`static java.util.List` `filterByContainerMetaclass(java.util.Collection eReferences, LinkMapping mappingEntry)`
`static java.util.List` `filterByContainerMetaclass(java.util.Collection eAttributes, MappingEntry mappingEntry)`
`static java.util.List` `filterByContainerMetaclass(java.util.Collection eReferences, NodeReference nodeReference, boolean containmentOnly)`
`static java.util.List` `filterByContainmentFeature(java.util.Collection eClasses, MappingEntry mappingEntry)`
`static java.util.Collection` `filterByNodeMapping(java.util.Collection compartments, ChildReference childReference)`
`static java.util.Collection` `filterByNodeMapping(java.util.Collection childReferences, CompartmentMapping mapping)`
`static java.util.List` `filterByReferenceType(java.util.Collection eReferences, LinkMapping linkMapping)`
`static java.util.List` `filterByResourceSet(java.util.Collection eClasses, ResourceSet resourceSet)`
`static java.util.Collection` `filterBySuperClasses(java.util.Collection instances, java.lang.Class[] classes)`
`static java.util.List` `sort(java.util.Collection eObjects)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterUtil

    public FilterUtil()

Method Detail

### sort

    public static java.util.List sort(java.util.Collection eObjects)

### filterByResourceSet

    public static java.util.List filterByResourceSet(java.util.Collection eClasses,
                                                     ResourceSet resourceSet)

### filterByContainmentFeature

    public static java.util.List filterByContainmentFeature(java.util.Collection eClasses,
                                                            MappingEntry mappingEntry)

### filterByContainerMetaclass

    public static java.util.List filterByContainerMetaclass(java.util.Collection eReferences,
                                                            LinkMapping mappingEntry)

### filterByContainerMetaclass

    public static java.util.List filterByContainerMetaclass(java.util.Collection eAttributes,
                                                            LabelMapping labelMapping)

### filterByContainerMetaclass

    public static java.util.List filterByContainerMetaclass(java.util.Collection eAttributes,
                                                            MappingEntry mappingEntry)

### filterByContainerMetaclass

    public static java.util.List filterByContainerMetaclass(java.util.Collection eReferences,
                                                            NodeReference nodeReference,
                                                            boolean containmentOnly)

### filterByReferenceType

    public static java.util.List filterByReferenceType(java.util.Collection eReferences,
                                                       LinkMapping linkMapping)

### filterByNodeMapping

    public static java.util.Collection filterByNodeMapping(java.util.Collection childReferences,
                                                           CompartmentMapping mapping)

### filterByNodeMapping

    public static java.util.Collection filterByNodeMapping(java.util.Collection compartments,
                                                           ChildReference childReference)

### filterBySuperClasses

    public static java.util.Collection filterBySuperClasses(java.util.Collection instances,
                                                            java.lang.Class[] classes)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.